#
# Copyright (c) 2015-2022 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

"""PyAMS_*** module

"""

__docformat__ = 'restructuredtext'

from zope.interface import Interface

from pyams_content.shared.calendar import IWfCalendarEvent
from pyams_default_theme.shared.common.interfaces import ICustomContentSpecificitiesRenderer
from pyams_skin.layer import IPyAMSUserLayer
from pyams_template.template import template_config
from pyams_utils.adapter import adapter_config
from pyams_viewlet.viewlet import ViewContentProvider


@adapter_config(context=(IWfCalendarEvent, IPyAMSUserLayer, Interface),
                provides=ICustomContentSpecificitiesRenderer)
@template_config(template='templates/specificities.pt', layer=IPyAMSUserLayer)
class CalendarEventSpecificitiesPortletRenderer(ViewContentProvider):
    """Calendar event specificities portlet renderer"""
